
#Define Characters
define w = Character("Wasabi")

#Define Backgrounds
image black = "#000"
image beach = "beach.jpg"
image park = "park.jpg"
image street = "street_background_house_front.jpg"
image room = "room.jpg"
image street_opening = "Street_Summer_Day.png"
image apartment_exterior = "Apartment_Exterior.png"
image laundromat = "Laundromat.png"
image restaurant = "Restaurant_B.png"
image train = "Train_Day.png"
image ocean = "ocean.png"
image festival = "Festival.png"
image love = "love.png"
image thanks = "thnks.png"

#Define Scenes/Special Images
image yawn = "yawn.png"

#Define Char Portraits
image w_3 = "w_3.png"
image w_33 = "w_33.png"
image w_333 = "w_333.png"
image w_blush1 = "w_blush1.png"
image w_blush2 = "w_blush5.png"
image w_blush3 = "w_blush3.png"
image w_blush5 = "w_blush5.png"
image w_dontworry = "w_dontworry.png"
image w_happy2 = "w_happy2.png"
image w_heh = "w_heh.png"
image w_heheh = "w_heheh.png"
image w_heystop = "w_heystop.png"
image w_hi = "w_hi.png"
image w_kek = "w_kek.png"
image w_happy = "w_neutral.png"
image w_blush4 = "w_blush4.png"
image w_normal = "w_normal.png"
image w_oh2 = "w_oh2.png"
image w_oh = "w_oh.png"
image w_play = "w_play.png"
image w_pout = "w_pout.png"
image w_pout2 = "w_pout2.png"
image w_sad = "w_sad.png"
image w_scared = "w_scared.png"
image w_playful = "w_playful.png"
image w_smiledontworry = "w_smiledontworry.png"
image w_smile = "w_smile.png"
image w_smug = "w_smug.png"
image w_smileeyesclosed = "w_smileeyesclosed.png"
image w_think = "w_think.png"
image w_uh = "w_uh.png"
image w_uh2 = "w_uh2.png"
image w_talk = "w_talk.png"
image w_worry2 = "w_worry2.png"
image w_worry1 = "w_worry1.png"

# The game starts here.

label start:
    #Trust value, don't know if we're going to use it lol
    $ trust = 0
    #Street Scene
    scene street_opening at center
    #play music "audio/a8.mp3" volume 0.8

    "This is the small city of Himikawa, where you currently live in a small apartment next to your childhood friend Wasabi."
    "Himikawa, while small compared to the surrounding cities, is a bustling center of young adults and casual life. It's popular because of the beach nearby and plentiful public transportation."
    "It is also one of the few cities around that serve refuge for all kinds of monsters. They're generalized as 'Monsters', but take all sorts of shapes and sizes."
    "However, life is peaceful for the townsfolk. Humans and Monsters live in harmony with one another and have been for many years decades."
    "Today is a special day; The city is hosting its annual Togetherness Festival in honor of the unity between the two species."
    "You're finally taking this opportunity to ask your best friend on a date to the festival."
    "Speaking of what...what is your name?"

    #player name input
    $ player_name = renpy.input("Please insert your name:")
    $ player_name = player_name.strip()
    if player_name == "":
        q "No name? Then you're Nobody."
        $ player_name="Nobody"

    "Thankfully, you have an excuse to talk to her. She needs someone to run errands with her before the festival today and you offered to accompany her."
    "Good luck, %(player_name)s!"
    show black

    #Second street in front of apartment
    scene street at center
    hide black
    with fade
    #play music "audio/a8.mp3" volume 0.8

    "You walk up towards the apartment building, your heart pounding through your ears with anticipation. Are you nervous? Excited? Maybe a little bit of both?"

    #show apartment hallway
    scene apartment_exterior at center
    with fade

    "Going up the stairs with your excitedness makes you winded, so you decide to take a few seconds to breathe before ringing the doorbell."
    "Almost a minute goes by and no answer, so you ring the doorbell again."
    "This time you hear the sound of footsteps and a groan."

    w "Uuuugh.....I-I'm awake, I swear! %(player_name)s, is that you? I-It's so early..."
    menu:
        "Wake up, sleepy-head!":
            w "W-Whatever! An aspiring idol needs her beauty sleep, you know!"
        "U-Uh, no, it's not me...":
            w "Haha, yeah right! I know your voice from anywhere, you can't fool me!"
        "We're going to be late!":
            w "You can't be late if you never had a time to be there, heh! One second..."

    "After a few minutes of waiting, Wasabi stumbled out of her apartment and into the hallway with you."
    show w_normal
    "Thanks for keeping me on my toes, %(player_name)s!"
    "You know my long dream of becoming an idol...singer...S-So it's important to wake up early!"
    "And we have a lot to do today! First, we have to go to..."
    hide w_normal
    "As Wasabi begins to talk about important plans for today, you start to drift off and think about the gifts you hurridly bought for her last night and stuffed in your backpack..."

    "Huh...What kind of flowers did you buy her...?"
    menu:
        "Roses":
            "That's right! Roses!"
            $ flower = "roses"
        "Tulips":
            "That's right! Tulips!"
            $ flower = "tulips"
        "Carnations":
            "That's right! Carnations!"
            $ flower = "carnations"

    "Flowers, checked...Next, what kind of chocolate did you get her?"
    menu:
        "White Chocolate":
            "Yes, white chocolate! Hopefully she'll like it."
            $ chocolate = "white"
        "Milk Chocolate":
            "Yes, milk chocolate! Hopefully she'll like it."
            $ chocolate = "milk"
        "Dark Chocolate":
            "Yes, dark chocolate! Hopefully she'll like it."
            $ chocolate = "dark"

    "Lastly, a personal gift..."
    menu:
        "Polaroid of you and Wasabi":
            "This is a picture of you and Wasabi on the beach. Sometimes simple is best!"
            $ gift = "picture"
        "Stuffed Animal":
            "This one looks just like the one she had when you two were young! It doesn't look like any animal you've ever seen before, though..."
            $ gift = "animal"
        "CD":
            "An ancient CD of her favorite boy band!"
            $ gift = "CD"

    show w_pout
    w "Uh...Helllooooo? There you go again, looking off into the distance!"
    show w_dontworry
    hide w_pout
    w "Sorry, I'm just kidding!"
    show w_hi
    hide w_dontworry
    w "Alright, I think we're ready to hit the road and do my errands! If we have time, maybe even go to the beach like we used to."
    show w_333
    hide w_hi
    w "First, we have to go to the laundromat...The one downstairs in the apartment broke this morning, and I have a huuuuuge pile of clothes to wash."
    w "An aspiring singer cannot hurt herself doing tedious tasks! And...uh...If I don't do it now, I don't think I'll ever get the motivation to go."
    show w_kek
    hide w_333
    w "You can totally help me carry my laundry baskets! They can get pretty heavy..."

    menu:
        "Do I have to...?":
            w "Of course! I promise it's not that much."
        "I'll do anything you ask!":
            w "That's the spirit!"
        "Sigh...Not all heroes wear capes...":
            w "Don't be such a downer, I promise my clothes don't stink...Too much."

    hide w_kek
    "With a slight groan, you decide to help Wasabi with her laundry. How romantic."

    #switch scene
    scene laundromat at center
    with fade

    "You and Wasabi eventually arrive at the laundromat down the road. While the walk was only a few blocks, it felt like an eternity while you carried her heavy basket of clothes."
    show w_happy2
    w "Whew, we're finally here! Man, my arms are hurting..."
    hide w_happy2
    menu:
        "You're telling me!":
            show w_happy
            w "Haha, I honestly appreciate you helping me out. Sometimes it's better to do chores together, it makes the time go by quicker."
            hide w_happy
        "It's no problem at all!":
            show w_blush1
            w "What would I do without you, %(player_name)s? You're always so helpful!"
            hide w_blush1
        "You're helping me with MY laundry next time...":
            show w_pout
            w "Ooookay, it's the least I can do! I highly doubt you have as many shirts as I do."
            hide w_pout
    "You watched as Wasabi inserted the quarters into the machine and loaded her laundry from the basket. There was a surprising amount of the same white shirts she always wore..."
    "After a while, and a dozen coins later, you two finally had all her laundry being washed. Thankfully, technology is quite advanced in this monster-human city, so you know this won't take long."
    "You two sit in silence for a while, enjoying the warm summer day. Soft light filters through the large glass windows and gently kisses your skin."
    "Suddenly, you see Wasabi perk up and her green face goes pale."
    stop music fadeout 1.0
    play music "audio/cnoc_heroine07.mp3" volume 0.8
    show w_uh2
    w "Ugh, you have to be kidding me..."
    w "Do you see that guy walking from the sidewalk? That's one of my exes...He's such a jerk! P-Pretend like he's not here! Like I'm not here!"
    hide w_uh2
    "As you turn towards the door, a large towering figure enters the laundromat. A large grey shark wearing sunglasses and covered in scars steps past you and Wasabi, not really taking a notice."
    "You begin to wonder what happened between him and Wasabi that made her so terrified."
    show w_scared
    w "H-He's huuuuge! Don't stare like that!"
    hide w_scared
    "The shark humanoid sets his ironically tiny basket to another machine across the room, paying no mind to anyone else there. You notice that he's wearing earbuds."
    menu:
        "Let's get your clothes and leave!":
            show w_sad
            w "Y-Yeah, you're right! It should be done anyways...I-I can dry them at home."
            hide w_sad
        "He's not even noticing us, don't worry!":
            show w_sad
            w "You sure...? Yeah, I see that now. He always blasted that crazy loud country music. I couldn't stand it!"
            hide w_sad
        "He doesn't scare me!":
            show w_scared
            w "Don't try to pick a fight or anything!"
            hide w_scared
    "Eventually, Wasabi's clothes were done and you both hurridly stuffed them back into her laundry baskets."
    "You and Wasabi leave the laundromat in a furious rush, with the shark man not even turning around at the slightest sound."
    stop music fadeout 1.0
    play music "audio/h20.mp3" volume 0.8

    #change scene
    scene apartment_exterior at center
    show w_dontworry
    w "Whew, that was a close one! It's been a while since we've seen each other, but it's still awkward, you know?"
    w "Anyways, let me throw this in my apartment and we can head to our next stop: Food! I'm staaaaaarving..."
    hide w_dontworry
    show w_blush1
    w "There's this new restaurant that opened up nearby. I figured we could eat lunch together and then take the train to the area of the city where the festival is happening."
    hide w_blush1
    $ courage = ""
    $ hungry = ""
    menu:
        "Sure, I love trying new food!":
            show w_blush4
            w "Perfect! I have a feeling you'll like it."
            $ courage = "yes"
            $ hungry = "unknown"
            hide w_blush4
        "I'm not really hungry right now":
            show w_blush2
            w "O-Oh! That's okay, you don't have to get anything to eat! I'd at least enjoy your company."
            $ hungry = "no"
            $ courage = "no"
            hide w_blush2
        "I'm starving, I could eat everything in that restaurant!":
            show w_blush4
            w "Whoa, really? I don't think you can...But if you're hungry, we better hurry! I bet you worked up an appetite after carrying all those clothes."
            $ hungry = "yes"
            $ courage = "no"
            hide w_blush4
    "Wasabi quickly threw her clothes into her apartment and walked with you towards the resturant."

    #change Scene
    show street_opening at center
    with fade
    "You and Wasabi walk closely together through the neighborhoods. The restaurant isn't too far away, so you both decide to walk. The bright summer day fills your heart with determination."
    "You glanced over at Wasabi and noticed she seemed a little nervous, her cheeks a little red, but still the same cheerful girl you love."
    show w_smileeyesclosed
    w "I'm glad you're coming with me, to be honest! Lately I've been so busy with work that I feel like I haven't had a chance to relax."
    hide w_smileeyesclosed
    menu:
        "You've always had a great work ethic":
            show w_blush3
            w "D-Do you really think so?"
            hide w_blush3
        "You need to make more time for yourself every once in a while":
            show w_blush3
            w "Yeah, I know...It's easier said than done!"
            hide w_blush3
        "Gotta pay the bills somehow":
            show w_pout2
            w "W-What about it? I don't want to, being an adult sucks sometimes!"
            hide w_pout2
    show w_hi
    w "Either way, I know...No, I WILL become a singer someday. I'll be all over the internet or TV. I just have to continue my training and save up!"
    hide w_hi
    "Wasabi took a deep breath and composed herself. She is always so full of passion for her dreams, it makes your heart melt hearing her talk about her dreams. You want to be there for them."
    "Support her, encourage her, help her however you can..."
    "As you two walk, you find yourself drifting off into thought again until eventually you end up at the restaurant."

    #change Scene
label food_start:
    scene restaurant at center
    with fade
    stop music fadeout 1.0
    play music "audio/MusMus-BGM-107.mp3" volume 0.2 fadein 1.0
    with fade
    "Both of you sit down at a table. Everything smells fresh and new, like an unused car. The interior is sleek and shiny and a lovely aroma drifts from the kitchen."
    if hungry == "no":
        show w_talk
        w "I know you said you weren't hungry, so don't feel like you have to get anything, okay?"
        hide w_talk
    if hungry == "yes":
        show w_hi
        w "We're finally here! I saw insanely positive reviews on Booghoul.com last night, so whatever you get will be delicious!"
        hide w_hi
    if courage == "yes":
        show w_playful
        w "Earlier you said you would eat anything...I dare you to pick something crazy from the menu!"
        hide w_playful

    "What would you like to order?"
    if courage == "yes":
        jump crazy_food
    if courage == "no":
        jump normal_food
#catch-all and goes to food_end
jump food_end

label normal_food:
    menu:
        "BLT Sandwich":
            "You chose a BLT Sandwich - a true lunch classic."
            show w_playful
            w "Simple, I like it!"
            hide w_playful
            $ food = "blt"
        "Chicken Tenders":
            "You chose Chicken Tenders."
            show w_playful
            w "Haha, I remember ordering chicken tenders a lot when we were kids...Some things never change!"
            hide w_playful
            $ food = "chicken"
        "Burger":
            "You chose a nice, juicy burger. The picture of this item is featured on the front page."
            show w_oh
            w "Whoa, how are you going to eat all that? It's huge!"
            hide w_oh
            $ food = "burger"
        "Crab Legs":
            "You chose delicious crab legs, but you'll have to crack them yourself."
            show w_smile
            w "Oh, I ordered the crab legs too! We're twinning! They're a little pricey, but toooootally worth it."
            hide w_smile
            $ food = "crab"
        "Fish Of The Day":
            "You chose the fish of the day, which happens to be salmon smothered in herbs."
            show w_smile
            w "That sounds so yummy! Maybe I can sneak a bite..."
            hide w_smile
            $ food = "fish"
    jump food_end

label crazy_food:
    menu:
        "Salted Egg Yolk Fry Sandwich":
            show w_scared
            w "That sounds...uh...Interesting. I wish I was as brave as you!"
            hide w_scared
            $ food = "sandwich"
        "Doughnut Burger":
            show w_uh
            w "A doughnut...burger? Like, a burger in the shape of a donut? Or the other way around...?"
            hide w_uh
            $ food = "donut"
        "Monster Dog":
            show w_heheh
            w "Do I...even dare ask about that?"
            hide w_heheh
            $ food = "dog"
    jump food_end

label food_end:
    if food == "blt":
        "Shortly after ordering your food arrives and you eat it within minutes. Every bite you take is emmaculate, absolutely divine!"
        show w_3
        w "I hope your sandwich was good, it looked delicious! Maybe next time I'll try it."
        hide w_3
    if food == "chicken":
        "Shortly after ordering your food arrives and you eat it within minutes. Every bite you take is emmaculate, absolutely divine!"
        show w_3
        w "I hope your chicken was good, it looked delicious! You should try the crab legs next time, though. They're out of this world!"
        hide w_3
    if food == "burger":
        "Shortly after ordering your food arrives and you eat it within minutes. Every bite you take is emmaculate, absolutely divine!"
        show w_3
        w "I hope your burger was great! I can't believe you ate the whole thing! I need to start giving you my leftovers that I don't eat."
        hide w_3
    if food == "crab":
        "Shortly after ordering your food arrives and you eat it within minutes. Every bite you take is emmaculate, absolutely divine!"
        show w_3
        w "Wow, I told you the crab legs were going to be delicious! Any place that coats it in sweet butter is going to be worth the price."
        "Somehow, you sense that Wasabi ate a whole plate more than you..."
        hide w_3
    if food == "sandwich":
        "Shortly after ordering your food arrives and you eat it within minutes. Every bite you take is emmaculate, absolutely divine!"
        show w_heheh
        w "Gross, that looked like a bunch of cheesy fries stuffed between two slices of bread! You humans have the strangest tastes..."
        hide w_heheh
    if food == "donut":
        "Shortly after ordering your food arrives and you eat it within minutes. Every bite you take is emmaculate, absolutely divine!"
        show w_heheh
        w "Yuck...I can't believe that they would put a burger on two donuts! It must have been good, since you ate the whole thing. You humans have such weird tastes!"
        hide w_heheh
    if food == "dog":
        "Shortly after ordering your food arrives and you eat it within minutes. Every bite you take is emmaculate, absolutely divine!"
        show w_heheh
        w "I...honestly can't believe my eyes."
        w "When the waitress brought out that hot dog that took up the entire table, I almost choked on my drink!"
        w "How you ate it all will remain a mystery..."
        hide w_heheh

    show w_normal
    w "Whew...I'm stuffed, what a great meal!"
    w "Haha, I hope you enjoyed it as well, %(player_name)s!"
    hide w_normal
    menu:
        "I could go another round, it was so good!":
            show w_happy2
            w "Haha, we'll have to come back again! I-If you want..."
            hide w_happy2
        "Eh...Could have been better":
            show w_smiledontworry
            w "Oh gosh, I'm sorry...We'll pick another place next time. I-If you want there to be a next time!"
            hide w_smiledontworry
    "Eventually, after chatting for what seemed like minutes but was actually almost an hour, you and Wasabi paid your bill and left for the next destination."
    stop music fadeout 1.0
    play music "audio/h20.mp3" volume 0.8
    jump train

label train:
    scene train at center
    with fade
    "With how big the city is, you and Wasabi needed to take the train to the other side to reach the beach."
    "This time in the afternoon was peaceful and calm. Anyone who wanted to go early to the festival alreay went. Those who were working had yet to travel."
    "There were a few other people on the bus, both human and monsters, casually sharing a space together in harmony. You begin to think that's what the esscence of the festival is about: unity."
    "As you drift off into thought again, you hear the slight snore of Wasabi next to you."
    "Her head fell to your shoulder and her breathing softened. You remember that she had a long night performing at a nightclub."
    "She would do anything to sing, not only for the money, but to truly express herself."
    "As the electric train rolled on, you enjoyed the nice summer day until arriving at your destination."
    scene beach
    with fade
    stop music fadeout 1.0
    play music "audio/MusMus-BGM-109.mp3" volume 0.2 fadein 1.0
    "You and Wasabi step out of the trian and onto the beachy station. You're immediately hit with the sweet and salty scent of the ocean and the walkways are packed."
    "There are both families and couples walking about, tons of fair games, food, and so much more. You can feel the exciting energy in the air!"
    show w_happy2
    w "We're finally here! Oh jeez, I'm sorry for sleeping so long."
    w "I didn't have anything planned besides killing time before the fireworks begin. What do you want to do first?"
    hide w_happy2

    #Create variables, which I forgot to do for the "lunch" event, and got my logic all messed up, but it's working so I don't want to change it
    $ swim_date = False
    $ icecream_date = False
    $ game_date = False

#big menu lol
label beach:
    menu:
        "Go to the beach and swim" if swim_date == False:
            $ swim_date = True
            show w_playful
            w "You want to hang around the beach for a little bit? Sure - just don't get mad when I splash you with water!"
            hide w_playful
            scene ocean at center
            with fade

            show w_blush1
            w "Wow..."
            w "I forget how beautiful the ocean is...I don't ever have the time to come out here, even if we live a few minutes away."
            hide w_blush1
            menu:
                "We should go more often":
                    show w_happy2
                    w "I would love that! Next time we'll spend the whole day here and bring some snacks...and sunscreen."
                    hide w_happy2
                "It smells very...salty":
                    show w_kek
                    w "Of course it does! Y'know, it's not actually the smell of the ocean, but the creatures in it that make it smell so goo-I mean...bad!"
                    hide w_kek
                "Almost as beautiful as you":
                    show w_blush3
                    w "R-Really? Do you mean that, %(player_name)s?"
                    w "S-Stop teasing!"
                    hide w_blush3
            "You and Wasabi make your way to the beach. The hotness of the sand scorches your feet, but Wasabi doesn't seem to feel the same pain."
            "All around you are other people, both monsters and humans, enjoying the sun on this hot summer day."
            "There are kids playing in the water, parents chasing them, couples sunbathnig, and so on..."
            "Eventually, you and Wasabi find a piece of the beach that's not so crowded."
            "Wasabi grabs your hand and pulls you into the water, which is cool and refreshing compared to the harsh sun."
            show w_playful
            w "Haha, what's wrong, %(player_name)s? Don't want to get wet?"
            hide w_playful
            "Wasabi playfully splashes you with water, and you do the same in return."
            "You don't go too far into the water, due to not having a swimsuit handy, but you still have fun with her nonetheless."
            "After a while, you return to the sand and search for seashells, per Wasabi's request."
            show w_smileeyesclosed
            w "There's so many pretty seashells here! I wish I could take them all home...I remember the last time we came here together, you helped me fill bags full of shells!"
            hide w_smileeyesclosed
            menu:
                "Actually, I have something to give you...":
                    show w_uh
                    w "Uh...what is it?"
                    hide w_uh
            if gift == "CD":
                show w_scared
                w "Is that....N-No way!"
                w "That's m-my favorite boy band! Monsuta XYZ!"
                hide w_scared
                show w_blush4
                w "Y-You shouldn't have! This album was sold out before I could order one..."
                w "You're too sweet, %(player_name)s. This really does mean a lot to me, thank you!"
                hide w_blush4
                "Wasabi reached over and gave you a tight hug."
            if gift == "picture":
                show w_blush3
                w "W-What's this? A picture?"
                "Wasabi carefully looked it over."
                w "This is...that picture we took the first time we came to this beach together! Almost the exact same spot, too...Look, you can see the rock over there!"
                w "T-Thank you, %(player_name)s, this gift means a lot! I think I'll hang it up on my wall when we get back home."
                hide w_blush3
                "Wasabi gentyly tucked the picture into her bag that she was carrying."
            if gift == "animal":
                show w_scared
                w "O...M...G!"
                w "I-Is that...a Teanie Baby Toy?! Do they even make these anymore??"
                hide w_scared
                show w_happy2
                w "Thanks, %(player_name)s! I can't believe you'd give this to me...It's the exactly same one from when I was a kid!"
                hide w_happy2
                "Wasabi gently added the stuffed animal to her bag. It stuck out ever so slightly, almost as if it were a puppy in a purse."

            show w_hi
            w "Wow, %(player_name)s, you're so generous! Is it because of the festival, or...?"
            w "Nah, it doesn't matter. What matters is we're spending the day together!"
            w "Now that I think about it, we should be getting back so we can do other things."
            "You and Wasabi decide to leave the beautiful ocean and head back to the festival stalls."
            hide w_hi

            scene beach at center
            with fade
            #jump back to menu
            jump beach

        "Get ice cream" if icecream_date == False:
            $ icecream_date = True
            show w_kek
            w "I know we just ate, but I can always go for some ice cream! I wonder if they'll have my favorite flavor..."
            hide w_kek
            "You and Wasabi walk down the stalls, eventually finding a less crowded ice cream stand that was selling a variety of flavors."
            "This one seemed more intended for monster-kin. The only human flavor was vanilla soft serve, while the others were...interesting."
            show w_think
            w "Hmm...Let's see...Do I want the Green Goo flavor, or Toasted Snail Oil?"
            hide w_think
            menu:
                "Green Goo":
                    show w_happy
                    w "Just what I was thinking! One scoop of the Green Goo, please!"
                    hide w_happy
                    "After giving the cashier a few coins, the monster handed Wasabi a cone full of slimy green goop. She looked delighted."
                "Toasted Snail Oil":
                    show w_happy2
                    w "Exactly what I was thinking! Hello, one scoop of the Toasted Snail Oil, please!"
                    hide w_happy2
                    "Wasabi handed the cashier her coins, and after a minute she received her ice cream. The cone was overflowing with a light brown gravy-like custard that made your stomach curl."
                "Uh...":
                    show w_blush1
                    w "Now that I think about it...I don't want my breath to stink. I think I'll get a vanilla..."
                    hide w_blush1
                    "The cashier handed her a plain vanilla cone with a nice swirl on top."
            "You and Wasabi found a small table to sit at while you enjoyed your ice cream."
            "The summer heat was starting to fade as a few clouds rolled over the sun, but the chill didn't last long. Still, it felt nice to sit down and enjoy a treat with Wasabi."
            show w_pout
            w "Oh, jeez...Really?! This was JUST washed..."
            hide w_pout
            "You look over and see that Wasabi's ice cream melted and dropped a few spots onto her shirt."
            menu:
                "Help her":
                    "You take a napkin and gently wipe away some of the ice cream. There's a stain, but it's not too noticeable."
                    show w_blush3
                    w "T-Thanks...But, I'm not a kid, I could have totally gotten that!"
                    hide w_blush3
                "Reassure her that it's not a big deal":
                    show w_pout2
                    w "It is! I have to look fabulous all the time...Uh..."
                    "She gently wiped some of the ice cream away."
                    w "O-Okay, maybe it wasn't a big deal..."
                    hide w_pout2
                "Drop some ice cream on yourself":
                    show w_scared
                    w "W-What did you do that for?! You're silly, %(player_name)s..."
                    hide w_scared

            "After Wasabi was done cleaning up, this would be a perfect time to present her with some chocolate. However, you didn't anticipate it to be so hot out..."
            show w_blush2
            w "W-What's this? Chocolate...?"
            if chocolate == "milk":
                w "Milk chocolate? Thank you! You can't go wrong with that kind. Aww, and the wrapping is so cute!"
                "Wasabi tried to eat it, but the chocolate had melted."
                w "I-It's okay! Sometimes my teeth can be sensitive, so I prefer it a little...mushy."
                w "Either way, what a sweet gesture! You're really trying to bribe me...Are you trying to get into a concert for free or something?"
            if chocolate == "dark":
                w "Dark chocolate? You know that's my absolute favorite! I don't know how monsters survived without chocolate in the past."
                "Wasabi tried to eat it, but the chocolate had melted."
                w "I-It's okay! Sometimes my teeth can be sensitive, so I prefer it a little...mushy."
                w "You're too sweet! Almost as sweet as this chocolate."
            if chocolate == "white":
                w "White chocolate...? Thank you, but...I'm not a fan. I-I'll still eat it, though! Chocolate is chocolate!"
                "Wasabi tried to eat it, but the chocolate had melted."
                w "I-It's okay! Sometimes my teeth can be sensitive, so I prefer it a little...mushy."
                w "Maybe next time you can give it to me when it's not melting, haha!"
            hide w_blush2
            show w_heh
            w "Well, we should get going, right?"
            hide w_heh
            #back to beach label
            jump beach

        "Play a game" if game_date == False:
            $ game_date = True
            show w_happy2
            w "You want to play a carnival game at one of the stalls? Maybe you'll be able to win me a prize."
            hide w_happy2

            "You and Wasabi walk through the crowd to find a stall. You decide on an easy one, where you have to throw a dart at a balloon and pop it for prizes."
            show w_playful
            w "Good luck, %(player_name)s!"
            hide w_playful
            "You're given three darts and carefully calculate every throw."
            "First one...misses! Just barely!"
            show w_smiledontworry
            w "No worries, you still got two left!"
            hide w_smiledontworry
            "You loosen up your shoulders and throw the second one..."
            "Miss!"
            show w_kek
            w "Haha, you don't have stage fright, do you?"
            hide w_kek
            "Determined to not make a fool of yourself, you hurl the last dart..."
            "..."
            "Success!"
            show w_hi
            w "Wow! You got it! Amaaaazing!"
            hide w_hi
            "Your prize: A small toy!"
            "Out of all the tiny cheaply made prizes, Wasabi picked a small duck."
            show w_happy2
            w "Haha, he's so happy! Look at his face!"
            hide w_happy2
            "Wasabi seemed pretty pleased with your win."
            "After walking around for a while, you two decided to sit down at a bench and enjoy the weather. You decided it was a good oppotunity to give Wasabi some flowers."
            "You rustled through your backpack and present her with the bouquet you picked out."

            if flower == "roses":
                show w_blush3
                w "Whoa, flowers? %(player_name)s, you shouldn't have!"
                w "I love roses, they're so beautiful! A little...crushed, but once I get them into some water they'll be as good as new!"
                w "T-Thank you! Ah...A-Achoo!"
                hide w_blush3
            if flower == "tulips":
                show w_blush3
                w "Wow, flowers?! For me? %(player_name)s, you shouldn't have."
                w "You're so sweet, tulips are my favorite flower! How did you find them when they're not in season...?"
                w "T-Thank you!...Sniffle...A-Achoo!"
                hide w_blush3
            if flower == "carnations":
                show w_blush3
                w "Wow, flowers! They're gorgeous!"
                w "Carnations are so pretty, they remind me of my mom..."
                w "A-Achoo!"
                w "I...I-I'm not crying, I promise..."
                hide w_blush3
            show w_smiledontworry
            w "Thank you, %(player_name)s, I feel so spoiled! You know you didn't have to."
            w "I get flowers from fans all the time...Well, maybe not ALL the time...but sometimes."
            w "Usually they're not as cute as you!"
            hide w_smiledontworry

            "You two decided to head back to the festival."
            #end
            jump beach

    show w_hi
    w "What a long day! It's almost time for the true festival activities to begin. They're going to light the lanterns and light fireworks! Let's go!"

#Exits date scenes
jump festival

label festival:
    stop music fadeout 1.0
    play music "audio/hp9.mp3" volume 0.8
    scene festival at center
    with fade

    show w_smile
    w "Woooow....Isn't it pretty, %(player_name)s?"
    hide w_smile
    "You and Wasabi made it through the crowded streets towards the downtown part of the festival."
    "Here the streets were filled with old architecture, even before the time where monsters and humans lived together."
    "Lanterns illuminated the cobblestone streets and vendors sold food and miscellaneous items. Many walked around wearing celebratory kimonos and other garments."

    show w_blush3
    w "You know, I've been thinking, %(player_name)s..."
    w "You went out of your way to spend the entire day with me, and really didn't complain...Except maybe for a few jokes here and there."
    w "That means a lot to me, though. You've always been there for me, to support me, to cheer me on when I'm feeling down..."
    w "To be honest, being a performer isn't easy."
    hide w_blush3
    show w_uh2
    w "Sometimes the band argues...Or I'm having a bad day...Or there's no one at our shows...It can be pretty rough."
    w "There are times where I want to quit, but I don't."
    w "Even if there's a slim chance I'll actually become famous, I don't care. I'm not in it for the fame or money, I do it because I love singing. Maybe I'll perform for the festival one day."
    hide w_uh2
    show w_blush4
    w "But, when I have those bad days...I think about you. I think about you cheering from the crowd, or giving me a biiiig thumbs up before I go on the stage."
    w "Even if you're not there because of your job, I imagine you anyways, rooting for me."
    w "I..."
    w "I really can't thank you enough."

    menu:
        "I've been thinking as well...":
            w "What is it?"
            hide w_blush4
    "With a shaky deep breath, you tell Wasabi how you feel about her, and why you really wanted to spend the day with her."
    show w_blush3
    w "I-Is that true?"
    hide w_blush3
    show w_blush1
    w "%(player_name)s..."
    w "I...I feel the same way! You've been my friend forever, but there's always been something more..."
    w "I hope you don't mind but, can we take it slow?"
    w "Maybe go on a few more dates?"
    hide w_blush1
    scene love at center
    with fade
    w "Because...I really like you too!"
    w "Ever since we were kids, but believe it or not, I was too shy to say anything..."
    w "N-Now come on, don't look so shocked! Let's go enjoy the festival!"
    scene black at center
    with fade
    "Wasabi grabs your hand and pulls you with her through the crowd..."
    "For the first time in a long time you felt a sudden warmth in your heart."
    "Maybe this is what the festival was all about - the heartfelt connection between a human and a monster..."
#ending screen
scene thanks at center
with fade
pause

# This ends the game.
label end:
    return
